@import url('https://fonts.googleapis.com/css?family=Archivo+Narrow:400,700');
@import url('/common/styles/font-awesome.min.css');

input[type=search] {
	-webkit-appearance: none;
}

tfoot {
	display: table-header-group;
}

.table-hover>tbody>tr:hover {
	color: #000;
}

.crypto-table {
	padding-top: 10px;
	border: 2px solid #ddd;
}

.wrapper  h1 {
	font-weight: 700;
	font-size: 28px;
	margin-bottom: 20px;
}

.newswire {
	width: 100%;
}

#cryptocurrency_table td {
	font-weight: bold;
}

#cryptocurrency_table td.default {
	color: #000;
}

#cryptocurrency_table .advfn_nw_table tbody td {
	padding: 0;
	height: 30px;
}

#cryptocurrency_table tr.newswire-section {
	background-color: #FFF;
}

.cryptos th.Numeric,
#cryptocurrency_table td.Numeric {
	text-align: right !important;
	white-space: nowrap;
	padding-right: 20px;
}

.cryptos th.String {
	text-align: left !important;
}

#cryptocurrency_table tbody td {
	height: 88px;
}

#cryptocurrency_table th {
	padding: 10px 18px 10px 5px;
	height: 20px;
	line-height: 13px;
	vertical-align: middle;
}

#cryptocurrency_table th.text-right {
	padding: 10px 5px 10px 5px;
	text-align: right;
}

#cryptocurrency_table th.text-left {
	padding: 10px 5px 10px 5px;
	text-align: left;
}

.loading-message {
	width: 100%;
	height: 90px;
	line-height: 90px;
	background-color: #f9f9f9;
	text-align: center;
}

.logo {
	width: 65px;
	height: 65px;
}

#cryptocurrency_table {
	width: 100% !important;
}
#cryptocurrency_table thead th {
	border-top: none;
}
#cryptocurrency_table tbody tr {
	background-color: transparent;
}
#cryptocurrency_table tbody td {
	vertical-align: middle;
	font-size: 1.04em;
	padding: 0 8px;
	border-top: none;
}

#cryptocurrency_table tbody td.minor_asterisk {
	padding: 0 4px;
}

#cryptocurrency_table.list-algorithms th,
#cryptocurrency_table.list-platforms th,
#cryptocurrency_table.list-exchanges th {
	padding: 10px 30px;
}

#cryptocurrency_table.list-algorithms td,
#cryptocurrency_table.list-platforms td,
#cryptocurrency_table.list-exchanges td {
	padding: 0 30px;
}

/* Column Special Styles */
#cryptocurrency_table th.col-rank,
#cryptocurrency_table td.col-rank {
	text-align: center;
	padding: 6px;
	width: 1%;
}

#cryptocurrency_table th.col-logo,
#cryptocurrency_table td.col-logo {
	width: 1%;
}

/* Column Special Styles */
#cryptocurrency_table td.volume_trend {
	text-align: center;
	padding: 6px;
	min-width: 100px;
}

#cryptocurrency_table th.col-summary {
	font-weight: bold;
}

#cryptocurrency_table td.col-summary {
	font-weight: normal;
	min-width: 400px;
}

.name-symbol, .name-symbol div {
	font-size: 14px !important;
}

.name {
	text-align: left;
}

.name,
.mcap,
.change,
.price {
	text-align: right;
}

th.algorithm {
	width: 150px;
}

td.logo {
	padding: 0px 1px 0px 2px !important;
}

td.name {
	text-align: left;
	overflow: hidden;
	text-overflow: ellipsis;
	max-width: 140px;
	width: 140px;
}

td.mcap_row {
	text-align: right;
	width: 114px;
}

td.price_row {
	width: 81px;
}

td.chg {
	width: 81px;
}

td.volume_row {
	text-align: right;
	width: 97px;
}

.minor_asterisk,
.asterisk,
.col-algorithm,
.algorithm,
.platform,
.algorithm,
.volume_trend,
.col-date-added {
	text-align: center;
}

td.chart, th.chart {
	text-align: right;
}

td.minor_asterisk {
	width: 8px;
}

td.algorithm {
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
	width: 100px;
	max-width: 100px;
}

th.volume_24h {
	padding-right: 20px !important;
}

td.volume_24h {
	min-width: 75px;
	padding-right: 20px !important;
}

td.chart {
	width: 160px;
	max-height: 86px;
	padding: 1px 0px 0px 0px !important;
}

table.Tabs {
	margin: 5px 0;
	width: 994px;
}

table.Tabs ul li {
	border-bottom: 0;
	padding: 1px 5px;
}

.toolbar {
	width: 770px;
	float: left;
	border: none;
}

.dataTables_wrapper .dataTables_filter input {
	width: 155px;
}

input#headerQuickQuoteSearch.rounded {
	height: 22px;
}

.push-down-table {
	margin-top: 35px !important;
}

.center-title {
	text-align: center;
	padding: 10px 60px 0;
	font-size: 16px;
}

#afnmainbodidContainer>div {
	max-width: 1592px !important;
}

.no-display {
	will-change: scroll-position;
	opacity: 0;
}

.appear {
	opacity: 1;
	-webkit-transition: all .4s ease-in-out;
	-moz-transition: all .4s ease-in-out;
	-o-transition: all .4s ease-in-out;
	transition: all .4s ease-in-out;
}

.main_container {
	max-width: 1592px;
}

.crypto_list_wrapper {
	width: 994px;
	margin: 0px auto;
}

#cryptocurrency_table .period-chart {
	display: inline;
}

#cryptocurrency_table .period-chart ul li {
	list-style-type: none;
}

#cryptocurrency_table .period-chart li {
	display: inline-block;
	padding-left: 4px;
}

#cryptocurrency_table .period-chart li a {
	text-decoration: underline;
}

#cryptocurrency_table .period-chart li a.active {
	text-decoration: none;
	color: #000;
}

span.list-tier {
	padding: 10px;
	display: inline-block;
	width: 100%;
	margin-top: 20px;
	border: 1px solid #ddd;
	background: #f9f9f9;
	font-size: 13px;
}

/** MENU NAV **/
.menu-nav {
	height: 47px;
}

.menu-nav .nav {
	font-family: 'Archivo Narrow', arial;
}

.menu-nav .nav > li {
	min-width: 110px;
	float: left;
}

.menu-nav .nav .nav-link {
	border: 2px solid #cccccc;
	border-radius: 50px;
	margin-right: 10px;
	background: #f2f2f2;
}

.menu-nav .nav .nav-link.label, .menu-nav .nav .nav-link.label a:hover {
	border: none;
	background-color: transparent;
}

.menu-nav .nav .nav-link.all a.active, .menu-nav .nav .nav-link.all a:hover, .menu-nav .nav .nav-link.all a:focus {
	background: linear-gradient(90deg, rgba(5,12,77,0.75) 0%, rgba(57,31,230,1) 50%, rgba(0,3,144,1) 100%);
	border-radius: 50px;
	color: #fff;
	font-weight: 800;
}

.menu-nav .nav .nav-link.coins a.active, .menu-nav .nav .nav-link.coins a:hover, .menu-nav .nav .nav-link.coins a:focus {
	background: rgb(255,68,0);
	background: linear-gradient(90deg, rgba(255,68,0,0.75) 0%, rgba(249,75,0,1) 50%, rgba(215,43,0,1) 100%);
	border-radius: 50px;
	color: #fff;
	font-weight: 800;
}

.menu-nav .nav .nav-link.defi a.active, .menu-nav .nav .nav-link.defi a:hover, .menu-nav .nav .nav-link.defi a:focus {
	background: linear-gradient(90deg, rgba(46,5,77,0.75) 0%, rgba(135,31,230,1) 50%, rgba(129,0,251,1) 100%);
	border-radius: 50px;
	color: #fff;
	font-weight: 800;
}

.menu-nav .nav .nav-link.tokens a.active, .menu-nav .nav .nav-link.tokens a:hover,.menu-nav .nav .nav-link.tokens a:focus {
	background: rgb(0,56,6);
	background: linear-gradient(90deg, rgba(0,56,6,0.75) 0%, rgba(0,111,30,1) 50%, rgba(0,59,4,1) 100%);
	border-radius: 50px;
	color: #fff;
	font-weight: 800;
}

.menu-nav .nav .nav-link.new a.active, .menu-nav .nav .nav-link.new a:hover, .menu-nav .nav .nav-link.new a:focus {
	background: rgb(224,0,0);
	background: linear-gradient(90deg, rgba(224,0,0,0.75) 0%, rgba(187,2,2,1) 63%, rgba(131,0,0,1) 100%);
	border-radius: 50px;
	color: #fff;
	font-weight: 800;
}

.menu-nav .navbar-nav .nav-link > a {
	font-family: 'Archivo Narrow', 'Arial', sans-serif;
	font-size: 16px;
	color: #000;
	text-transform: uppercase;
	text-align: center;
	padding-top: 0px;
	height: 30px;
	line-height: 30px;
}

.menu-nav .navbar-nav > li.coins > a.active {
	border-bottom: none;
	font-weight: 700;
	border-color: #f0ef4d;
}

.menu-nav .navbar-nav .nav-link .dropdown-menu li > a,
.menu-nav .nav .nav-link.all .dropdown-menu a.active,
.menu-nav .nav .nav-link.coins .dropdown-menu a.active,
.menu-nav .nav .nav-link.defi .dropdown-menu a.active,
.menu-nav .nav .nav-link.tokens .dropdown-menu a.active,
.menu-nav .nav .nav-link.new .dropdown-menu a.active {
	font-family: 'Helvetica', sans-serif;
	font-size: 16px;
	color: #7a7a7a;
	padding: 8px 16px;
	background: transparent;
}

.menu-nav .navbar-nav .nav-link .dropdown-menu li > a:hover,
.menu-nav .nav .nav-link.all .dropdown-menu a.active:hover,
.menu-nav .nav .nav-link.coins .dropdown-menu a.active:hover,
.menu-nav .nav .nav-link.defi .dropdown-menu a.active:hover,
.menu-nav .nav .nav-link.tokens .dropdown-menu a.active:hover,
.menu-nav .nav .nav-link.new .dropdown-menu a.active:hover {
	color: #222;
	background: transparent;
}

.menu-nav .nav .banner {
	width: 660px;
	height: 47px;
	padding: 3px;
}

.crypto-table .menu-nav .nav .open>a {
	padding: 0 !important;
}

.crypto-table .menu-nav .nav .open>a,
.crypto-table .menu-nav .nav .open>a:focus,
.crypto-table .menu-nav .nav .open>a:hover {
	border-color: #ddd;
	background-color: #eee !important;
	border-radius: 50px;;
}

.crypto-table .menu-nav .nav li .dropdown-menu {
	border: 2px solid #ddd;
}

.menu-nav .nav li.search-crypto {
	width: 225px;
	height: 47px;
	margin-right: 10px;
}

.menu-nav .nav li.search-crypto label {
	width: 100%;
	margin-bottom: 0;
}

.menu-nav .nav li.search-crypto input[type=search] {
	width: 100%;
	height: 30px;
	font: 16px 'Archivo Narrow', arial;
	color: #000;
	text-align: center;
	padding: 0;
	border: 2px solid #cccccc;
}

.menu-nav .nav li.search-crypto::placeholder,
.menu-nav .nav li.search-crypto input[type=search]::-webkit-input-placeholder {
	color: #333;
	font-weight: 700;
}

.menu-nav .navbar-nav ul li {
	height: inherit;
}

.menu-nav .dropdown-menu {
	border: none;
	border-bottom: 1px solid #ccc;
	border-left: 1px solid #ccc;
	border-right: 1px solid #ccc;
	box-shadow: none;
}

.menu-nav .caret {
	border: none;
	vertical-align: top;
}

.menu-nav .caret::after {
	content: "\f107";
	font-family: 'FontAwesome';
}

.menu-nav ul.nav li.dropdown:hover > ul.dropdown-menu {
	display: block;
}

.menu-nav .navbar-nav .search-input {
	position: absolute;
	top: 3px;
	width: 100%;
}

.menu-nav .navbar-nav li.search-btn {
	border-bottom: none;
	width: 60px;
	position: relative;
	text-align: center;
}

.menu-nav .nav > li.search-btn {
	min-width: 60px;
}

.menu-nav .navbar-nav li.search-btn img {
	-webkit-filter: drop-shadow(5px 5px 5px #c0c0c0);
	filter: drop-shadow(5px 5px 5px #c0c0c0);
	width: 35px;
	height: 35px;
}

.menu-nav .navbar-nav .dropdown-menu>.active>a.active {
	background-color: #FFF;
}

.menu-nav .navbar-nav .dropdown-menu > li > a.active {
	background-color: #FFF;
}

@media (min-width:979px) {
	.menu-nav ul.nav li.dropdown:hover > ul.dropdown-menu {
		display: block;
	}

}

input.line-field {
	background: transparent;
	border: none;
	border-bottom: 2px solid #C8C8C8;
	-webkit-box-shadow: none;
	box-shadow: none;
	border-radius: 0;
	font-size: 17px;
}

.line-field:focus {
	-webkit-box-shadow: none;
	box-shadow: none;
}

.crypto-label {
	font-size: large;
	text-align: left !important;
}

.form-panel .fa {
	color: #286090;
	margin-right: 10px;
	padding-top: 10px;
}

.mobile-form-panel .fa {
	color: #286090;
	margin-right: 10px;
	padding-top: 10px;
}

.form-buttons {
	font-weight: 600;
	font-size: 20px;
	min-width: 175px;
	border-radius: 30px;
}

.required {
	color: red;
}

.crypto-form-group {
	margin-bottom: 25px;
}

.radio-option {
	font-size: 16px !important;
	margin-left: 10px;
	padding-top: 5px;
}

.footnote {
	font-size: 16px !important;
	padding-top: 12px !important;
}

.form-submit {
	margin-bottom: 0px;
}

.fa-spin {
	-webkit-filter: blur(0);
}

#loading-spinner {
	color: white;
	padding: 0px 0px 0px 0px;
}

.form-panel {
	border-radius: 15px;
	border: 2px solid #C8C8C8;
	padding-left: 50px;
	padding-right: 50px;
}

.mobile-form-panel {
    border-radius: 15px;
    border: 2px solid #C8C8C8;
    padding-left: 10px;
    padding-right: 10px;
}

.add-crypto {
	margin-top: 20px !important;
	font-weight: 600;
}

.add-crypto-btn {
	margin-left: 15px;
}

/* Header for Crypto Roots */
div.crypto-page-header {
	text-align: left;
	position: relative;
	margin-top: 12px;
}

div.crypto-page-header.container {
	max-width: 994px;
}

div.crypto-page-header table.header-top {
	width: 100%;
}

div.crypto-page-header table.header-top td.col-logo,
div.crypto-page-header table.header-top td.col-details {
	vertical-align: top;
}

div.crypto-page-header table.header-top td.col-logo {
	text-align: left;
	width: 130px;
}

div.crypto-page-header table.header-top td.col-logo img.logo {
	height: 110px;
	width: 110px;
}

div.crypto-page-header table.header-top td.col-logo span.label-rank {
	font-size: 15px;
	width: 110px;
	text-align: center;
	display: inline-block;
	margin: 6px 0 10px;
}

div.crypto-page-header table.header-top h2.coin-name {
	font-size: 24px;
	font-weight: bold;
	margin: 10px 0;
}

div.crypto-page-header table.header-top h2.coin-name span.crypto-symbol {
	font-weight: normal;
	font-size: 0.85em;
	opacity: 0.8;
}

div.crypto-page-header div.coin-info table th {
	padding: 0 5px;
	text-align: right;
	font-size: 16px;
	width: 20%;
	max-width: 170px;
	white-space: nowrap;
	text-overflow: ellipsis;
	overflow: hidden;
}

div.crypto-page-header div.coin-info table td {
	padding: 2px 5px;
	font-size: 14px;
}

div.crypto-page-header div.coin-info table td p {
	font-size: inherit;
}

div.crypto-page-header .crypto-label {
	font-size: 14px;
	padding: 5px 15px;
	display: block;
	margin-top: 2px;
	text-align: center !important;
}

div.crypto-page-header .label-exchange {
	background-color: #0c59cf;
}

div.crypto-page-header .label-platform {
	background-color: #00c8f8;
}

div.crypto-page-header .label-algorithm {
	background-color: #7e2199;
}

div.crypto-page-header a {
	font-weight: bold;
}

div.crypto-page {
	padding: 20px 0;
	border-top: none;
}

div.crypto-page .ct-title {
	display: inline-block;
	width: 100%;
}

div.crypto-page .crypto-root {
	text-shadow: none;
	color: #606060;
	font-size: 24px;
	float: left;
}

div.crypto-page .crypto-table {
	border-top: 2px solid #ddd;
}

div.crypto-page .search-crypto {
	float: right;
}

div.crypto-page #cryptocurrency_table_filter label {
	font-size: 14px;
	float: left;
	line-height: 30px;
}

div.crypto-page #cryptocurrency_table_filter .search-input {
	float: right;
}

div.crypto-page #cryptocurrency_table_filter .search-input #search_box {
	height: 30px;
	width: 170px;
	border: 1px solid #c0c0c0;
	margin: 0 0 0 10px;
}

div.crypto-page  #cryptocurrency_table tbody td.pair {
	text-align: center;
}

/* DataTables */
#cryptocurrency_table_wrapper {
	margin-top: 20px;
}

#cryptocurrency_table_info {
	padding: 10px;
}

div.crypto-page .crypto-table #cryptocurrency_table_wrapper {
	margin-top: 0px;
}

#cryptocurrency_table_processing {
	font-size: 2em;
	top: 65px;
	padding-top: 10%;
	height: 100%;
	z-index: 10000;
	color: black;
	background: rgb(242,242,242);
	background: linear-gradient(90deg, rgba(242,242,242,0.45) 0%, rgba(208,208,208,0.8085609243697479) 63%, rgba(242,242,242,0.4640231092436975) 100%);
}

#cryptocurrency_table_wrapper {
	display: none;
}

#cryptocurrency_table tbody tr td.name {
	max-width: 150px;
}

#cryptocurrency_table tbody tr td a {
	display: inline-block;
}

/* BR: GO BACK TO LANDING PAGE
-----------------------------------------------------------*/
a.landing-page {
	font-size: 16px;
	background: #09F6C7;
	color: #000;
	border: none;
}

a:hover.landing-page {
	background: #30DDBA;
}

/* Side Advert CSS
-----------------------------------------------------------*/
div.sticky_container {
	position: relative;
	height: 600px;
}

#APS_LEFT_SKY_120_X_600,
#APS_RIGHT_SKY_120_X_600 {
	padding-top: 10px;
	position: absolute;
}

#APS_LEFT_SKY_120_X_600 {
	right: 0px;
}

#APS_RIGHT_SKY_120_X_600 {
	left: 0px;
}

.d-none {
	display: none !important;
}
